import request from '@/utils/request'

// 查询知识兴趣测评列表
export function listSyKnowledgeInterstMajor(query) {
  return request({
    url: '/sy/syKnowledgeInterstMajor/list',
    method: 'get',
    params: query
  })
}

// 查询知识兴趣测评详细
export function getSyKnowledgeInterstMajor(id) {
  return request({
    url: '/sy/syKnowledgeInterstMajor/' + id,
    method: 'get'
  })
}

// 新增知识兴趣测评
export function addSyKnowledgeInterstMajor(data) {
  return request({
    url: '/sy/syKnowledgeInterstMajor',
    method: 'post',
    data: data
  })
}

// 修改知识兴趣测评
export function updateSyKnowledgeInterstMajor(data) {
  return request({
    url: '/sy/syKnowledgeInterstMajor',
    method: 'put',
    data: data
  })
}

// 删除知识兴趣测评
export function delSyKnowledgeInterstMajor(id) {
  return request({
    url: '/sy/syKnowledgeInterstMajor/' + id,
    method: 'delete'
  })
}

// 导出知识兴趣测评
export function exportSyKnowledgeInterstMajor(query) {
  return request({
    url: '/sy/syKnowledgeInterstMajor/export',
    method: 'get',
    params: query
  })
}